uk.gov.hmrc.zap

# ZapTest

###
Related Doc: package zap

#### trait ZapTest extends BeforeAndAfterAll with HealthCheck with ZapOrchestrator

Self Type
  ZapTest with Suite

Linear Supertypes
ZapOrchestrator, HealthCheck, BeforeAndAfterAll, SuiteMixin, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ZapTest
2. ZapOrchestrator
3. HealthCheck
4. BeforeAndAfterAll
5. SuiteMixin
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Abstract Value Members

1. #### abstract def expectedTestCount(filter: Filter): Int

   Definition Classes
     SuiteMixin

2. #### abstract def nestedSuites: IndexedSeq[Suite]

   Definition Classes
     SuiteMixin

3. #### abstract def rerunner: Option[String]

   Definition Classes
     SuiteMixin

4. #### abstract def runNestedSuites(args: Args): Status

   Attributes
     protected
   Definition Classes
     SuiteMixin

5. #### abstract def runTest(testName: String, args: Args): Status

   Attributes
     protected
   Definition Classes
     SuiteMixin

6. #### abstract def runTests(testName: Option[String], args: Args): Status

   Attributes
     protected
   Definition Classes
     SuiteMixin

7. #### abstract val styleName: String

   Definition Classes
     SuiteMixin

8. #### abstract def suiteId: String

   Definition Classes
     SuiteMixin

9. #### abstract def suiteName: String

   Definition Classes
     SuiteMixin

10. #### abstract def tags: Map[String, Set[String]]

    Definition Classes
      SuiteMixin

11. #### abstract def testDataFor(testName: String, theConfigMap: ConfigMap): TestData

    Definition Classes
      SuiteMixin

12. #### abstract def testNames: Set[String]

    Definition Classes
      SuiteMixin

13. #### abstract val zapConfiguration: ZapConfiguration

    Definition Classes
      ZapTest → ZapOrchestrator

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def afterAll(): Unit

   Definition Classes
     ZapTest → BeforeAndAfterAll

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def beforeAll(): Unit

   Definition Classes
     ZapTest → BeforeAndAfterAll

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

11. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

12. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

13. #### def healthCheck(localHostUrl: String): Unit

    Definition Classes
      HealthCheck

14. #### val httpClient: HttpClient

    Definition Classes
      HealthCheck

15. #### val invokeBeforeAllAndAfterAllEvenIfNoTestsAreExpected: Boolean

    Definition Classes
      BeforeAndAfterAll

16. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

17. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

18. #### final def notify(): Unit

    Definition Classes
      AnyRef

19. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

20. #### def run(testName: Option[String], args: Args): Status

    Definition Classes
      BeforeAndAfterAll → SuiteMixin

21. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

22. #### def toString(): String

    Definition Classes
      AnyRef → Any

23. #### def triggerZapScan()(implicit zapContext: ZapContext): Unit

    Definition Classes
      ZapOrchestrator

24. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

25. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

26. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### lazy val zapAlerts: ZapAlerts

    Attributes
      protected
    Definition Classes
      ZapTest → ZapOrchestrator

28. #### lazy val zapClient: ZapClient

    Attributes
      protected

29. #### implicit lazy val zapContext: ZapContext

30. #### lazy val zapScan: ZapScan

    Attributes
      protected
    Definition Classes
      ZapTest → ZapOrchestrator

31. #### lazy val zapSetup: ZapSetUp

    Attributes
      protected
    Definition Classes
      ZapTest → ZapOrchestrator

### Inherited from ZapOrchestrator

### Inherited from HealthCheck

### Inherited from BeforeAndAfterAll

### Inherited from SuiteMixin

### Inherited from AnyRef

### Inherited from Any

### Ungrouped